package com.landray.kmss.sys.attachment.cluster;

import com.landray.kmss.sys.attachment.plugin.HistoryVersionPlugin;
import com.landray.kmss.sys.cluster.interfaces.message.IMessage;
import com.landray.kmss.sys.cluster.interfaces.message.UniqueMessageQueue;
import com.landray.kmss.sys.cluster.interfaces.message.IMessageQueue;
import com.landray.kmss.sys.cluster.interfaces.message.IMessageReceiver;

public class HistoryVersionConfigMessageReceiver implements IMessageReceiver
{
    protected IMessageQueue messageQueue;
    
    public HistoryVersionConfigMessageReceiver() {
        this.messageQueue = (IMessageQueue)new UniqueMessageQueue();
    }
    
    public IMessageQueue getMessageQueue() {
        return this.messageQueue;
    }
    
    public void receiveMessage(final IMessage message) throws Exception {
        if (!(message instanceof HistoryVersionConfigMessage)) {
            return;
        }
        final HistoryVersionConfigMessage msg = (HistoryVersionConfigMessage)message;
        final String attHistoryConfigEnableModules = msg.getAttHistoryConfigEnableModules();
        HistoryVersionPlugin.resetEnabledModelsMap(attHistoryConfigEnableModules);
    }
}
